<?php

require_once 'Horde/Form.php';

/**
 * MP3_Form defines the form used to add, edit, and display details for a
 * single MP3.
 *
 * $Horde$
 *
 * Copyright 2004-2005 Your Name <you@example.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Your Name <you@example.com>
 * @since   Mopple 0.1
 * @package Mopple
 */
class MP3_Form extends Horde_Form {

    function MP3_Form(&$vars, $title = '', $edit = true)
    {
        parent::Horde_Form($vars, $title, 'mp3_form');
        $this->addHidden('', 'id', 'int', false);
        $this->addVariable(_("Title"), 'song_title', 'text', true);
        $this->addVariable(_("Artist"), 'song_artist', 'text', true);
        $this->addVariable(_("Album"), 'song_album', 'text', true);
        if ($edit) {
            $this->addVariable(_("MP3 file"), 'file', 'file', false);
        } else {
            $this->addVariable(_("MP3 ID tags"), 'song_idtag', 'html', false);
            $this->addVariable('', 'sound', 'html', false);
        }
    }

}
